Subject: bug#18982: 24.4.51; assertion violation in set_cache_region after revert-buffer

From: Eli Zaretskii <[email-masked]>
Date: Sun, 09 Nov 2014 18:43:42 +0200

> From: Nicolas Richard <[email-masked]>
> Cc: [email-masked]
> Date: Sun, 09 Nov 2014 00:29:31 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> >> It doesn't crash with the 24.3 binary I have soI can bisect if you wish.
> >
> > Please do, and thanks.
> 
> Here's the result.
> 
> 0c279491143d9afda18428177ca5262931450212 is the first bad commit
> commit 0c279491143d9afda18428177ca5262931450212
> Author: Eli Zaretskii <[email-masked]>
> Date:   Wed Nov 27 18:08:53 2013 +0200
> 
>     Fix bug #15973 with erratic cursor motion after reverting a buffer.

For the record: the bzr revno was 115259, not 15973.

>      src/fileio.c (Finsert_file_contents): Invalidate buffer caches when
>      deleting portions of the buffer under non-nil REPLACE argument.

Thanks.  I think I fixed this in r117696 on the emacs-24 branch,
please test.